﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace T4UtilityBelt.Applications
{
    public class Application
    {
        private string _ns;

        public Application()
        {
        }

        public Application(string ns)
        {
            Namespace = ns;
        }

        public string Namespace
        {
            get
            {
                if (string.IsNullOrEmpty(_ns))
                {
                    return "DefaultNamespace";
                }
                return _ns;
            }
            set { _ns = value; }
        }
    }
}
