using System;
using System.Runtime.Serialization;

namespace T4UtilityBelt.DataDesigns
{
    [Serializable]
    public class DuplicateKeyException : Exception
    {
        protected DuplicateKeyException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }

        public DuplicateKeyException(string message, Exception innerException) : base(message, innerException)
        {
        }

        public DuplicateKeyException(string message) : base(message)
        {
        }

        public DuplicateKeyException()
        {
        }
    }
}