using System;
using System.Collections.Generic;

namespace T4UtilityBelt.DataDesigns
{
    public class EntityComparer : IEqualityComparer<Entity>
    {
        public bool Equals(Entity x, Entity y)
        {
            return string.Compare(x.Name, y.Name, StringComparison.CurrentCultureIgnoreCase) == 0;
        }

        public int GetHashCode(Entity obj)
        {
            return obj.Name.GetHashCode();
        }
    }
}