﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace T4UtilityBelt.DataDesigns.LightSwitch
{
    public class DeletedRowEntity : LightSwitchEntity
    {
        public DeletedRowEntity()
            : base("DeletedRow", "DeletedRows")
        {
            ShouldSerialize = false;

            Properties.Add(new StringProperty("TableName") {MaxLength = 32});
            Properties.Add(new StringProperty("RowId") {MaxLength = 32});

            GeneratorOptions = new GeneratorOptions()
                {
                    Collection = false,
                    Entity = false,
                    Picker = false,
                    Synchronizer = false,
                    TestData = false,
                    Repository = false,
                    DatabaseTable = false,
                    DataContract = false,
                    DataRequest = false, 
                    DataResponse = false,
                    SynchronizeService = false,
                    Model = false,
                    ModelCollection = false,
                    ServerDatabaseTable = false
                };
        }
    }
}
