﻿using System;
using T4UtilityBelt.Templates;

namespace T4UtilityBelt.DataDesigns.Renderers
{
    public interface IRenderer
    {
        Template Template { get; set; }

        Type EntityType { get; }

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Property")]
        void RenderProperty(object property);
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Property")]
        void Render2Property(object property);
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Property")]
        void Render3Property(object property);
    }
}