﻿using T4UtilityBelt.UxDesigns.Bindings;
using T4UtilityBelt.UxDesigns.Controls.Renderers;
using T4UtilityBelt.UxDesigns.Interfaces;


namespace T4UtilityBelt.UxDesigns.Controls
{
    public class ListBoxControl : Control<ListBoxControl, IListBoxRenderer>, IItemTemplateContainer
    {
        private readonly ItemTemplateControlCollection _templates = new ItemTemplateControlCollection();

        public Binding ItemsSource { get; set; }

        public Binding ItemSelectedCommand { get; set; }

        public ItemTemplateControlCollection Templates
        {
            get { return _templates; }
        }
    }
}
