﻿namespace T4UtilityBelt.UxDesigns.Controls
{
    /// <summary>
    /// Defines constants that specify the different orientations that a control or layout can have.
    /// </summary>
    public enum Orientation
    {
        /// <summary>
        /// The control or layout should be vertically oriented.
        /// </summary>
        Vertical = 0,

        /// <summary>
        /// The control or layout should be horizontally oriented.
        /// </summary>
        Horizontal = 1,
    }
}