﻿using T4UtilityBelt.Writers;

namespace T4UtilityBelt.UxDesigns.Controls.Renderers.Android
{
    public class GridRowRenderer : ContentElementRenderer<GridRow, IGridRowRenderer>, IGridRowRenderer
    {
        public void RenderGridRowDefinition(GridRow control, CodeWriter writer)
        {
        }

        protected override void OnRenderUiXmlBegin(GridRow control, CodeWriter writer)
        {
            writer.WriteFullTag("TableRow");
        }

        protected override void OnRenderUiXmlContent(GridRow control, CodeWriter writer)
        {
            control.Controls.RenderUiXml(writer);
        }

        protected override void OnRenderUiXmlEnd(GridRow control, CodeWriter writer)
        {
            writer.WriteEndTag("TableRow");
        }
    }
}