﻿using T4UtilityBelt.Writers;

namespace T4UtilityBelt.UxDesigns.Controls.Renderers.Android
{
    public class LabelRenderer : ControlRenderer<LabelControl, ILabelRenderer>, ILabelRenderer
    {
        protected override void OnRenderUiXmlBegin(LabelControl control, CodeWriter writer)
        {
            writer.WriteBeginTag("TextView");
            RenderFirstElementAttributes(writer);
            RenderControlAttributes(control, writer);
            //writer.WriteAttribute("android:text", control.Text);

            writer.AddBinding("android:text", control.Text);
            writer.RenderBindingsAttribute();


            writer.WriteFullEnd();
        }
    }
}