﻿using T4UtilityBelt.UxDesigns.Controls.Renderers.Android.Helpers;
using T4UtilityBelt.Writers;

namespace T4UtilityBelt.UxDesigns.Controls.Renderers.Android
{
    public class StackPanelRenderer : ControlRenderer<StackPanelControl, IStackPanelRenderer>, IStackPanelRenderer
    {
        protected override void OnRenderUiXmlBegin(StackPanelControl control, CodeWriter writer)
        {
            writer.WriteBeginTag("LinearLayout");
            RenderFirstElementAttributes(writer);
            RenderControlAttributes(control, writer);
            OrientationWriter.Write(control.Orientation, writer);
            writer.WriteEnd();
        }

        protected override void OnRenderUiXmlContent(StackPanelControl control, CodeWriter writer)
        {
            control.Controls.RenderUiXml(writer);
        }

        protected override void OnRenderUiXmlEnd(StackPanelControl control, CodeWriter writer)
        {
            writer.WriteEndTag("LinearLayout");
        }
    }
}