﻿using T4UtilityBelt.Writers;

namespace T4UtilityBelt.UxDesigns.Controls.Renderers
{
    public interface IControlRenderer<in TControl, TRenderer>
        where TControl : Control<TControl, TRenderer>
        where TRenderer : class, IControlRenderer<TControl, TRenderer>
    {
        void RenderUiXmlBegin(TControl control, CodeWriter writer);
        void RenderUiXml(TControl control, CodeWriter writer);
        void RenderUiXmlEnd(TControl control, CodeWriter writer);
        void RenderUiCode(TControl control, CodeWriter writer);
    }
}