﻿using T4UtilityBelt.Writers;

namespace T4UtilityBelt.UxDesigns.Controls.Renderers.ViewModel
{
    public class StackPanelRenderer : Renderer<StackPanelControl, IStackPanelRenderer>, IStackPanelRenderer
    {
        protected override void OnRenderUiXmlBegin(StackPanelControl control, CodeWriter writer)
        {
        }

        protected override void OnRenderUiXmlContent(StackPanelControl control, CodeWriter writer)
        {
            control.Controls.RenderUiXml(writer);
        }

        protected override void OnRenderUiXmlEnd(StackPanelControl control, CodeWriter writer)
        {
            writer.WriteEndTag("StackPanel");
        }
    }
}