﻿using System.Xml.Serialization;
using T4UtilityBelt.UxDesigns.Screens.Renders;

namespace T4UtilityBelt.UxDesigns
{
    public abstract class Screen<TView, TRenderer> : View<TView, TRenderer>
        where TView : View<TView, TRenderer>
        where TRenderer : class, IViewRenderer<TView, TRenderer>
    {

        private string _title;
        [XmlAttribute]
        public string Title
        {
            get
            {
                if (_title == null)
                {
                    return Name;
                }
                return _title;
            }
            set { _title = value; }

        }

    }
}