﻿using System.ComponentModel;
using T4UtilityBelt.UxDesigns.Bindings;
using T4UtilityBelt.UxDesigns.Controls;
using T4UtilityBelt.UxDesigns.Screens.Renders;

namespace T4UtilityBelt.UxDesigns.Screens
{
    [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Maintainability", "CA1501:AvoidExcessiveInheritance")]
    public class EntityCreateScreen : ContentEntityScreen<EntityCreateScreen, IEntityCreateScreenRenderer>
    {
        public EntityCreateScreen()
        {
            StandardConstructor();
        }

        public EntityCreateScreen(string entityName)
            : base(entityName)
        {
            StandardConstructor();
        }

        public EntityCreateScreen(string entityName, string screenName)
            : base(entityName, screenName)
        {
            StandardConstructor();
        }

        private void StandardConstructor()
        {
            ButtonControl button = new ButtonControl { Click = "SaveCommand", Text = "Save" };
            ButtonPanel.Controls.Add(button);

            //button = new ButtonControl { Click = "BackCommand", Text = "Back" };
            //_buttonsPanel.Controls.Add(button);
        }
    }
}