﻿using T4UtilityBelt.Writers;

namespace T4UtilityBelt.UxDesigns.Screens.Renders.Android
{
    public class EntityCreateScreenRenderer : IEntityCreateScreenRenderer
    {
        public void RenderParentClass(EntityCreateScreen control, CodeWriter writer)
        {
            //writer.Write(string.Format("CreateEntityViewModel<{0}Model, {0}Entity>", control.EntityName));
        }


        public void RenderCode(EntityCreateScreen control, CodeWriter writer)
        {
//            writer.Write(string.Format(@"
//        public {0}CreateEntityView()
//        {{
//            InitializeComponent();
//        }}
//
//        public new {0}CreateEntityViewModel ViewModel
//        {{
//            get {{ return base.ViewModel as {0}CreateEntityViewModel; }}
//            set {{ base.ViewModel = value; }}
//        }}
//", control.EntityName));
        }

        public void RenderControls(EntityCreateScreen control, CodeWriter writer)
        {
            control.Controls.RenderUiXml(writer);
        }

    }
}
