﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using T4UtilityBelt.Writers;

namespace T4UtilityBelt.UxDesigns.Screens.Renders
{
    public interface IViewRenderer<TView, TRenderer>
        where TView : View<TView, TRenderer>
        where TRenderer : class, IViewRenderer<TView, TRenderer>
    {
        void RenderParentClass(TView control, CodeWriter writer);

        void RenderCode(TView control, CodeWriter writer);

        void RenderControls(TView control, CodeWriter writer);
    }
}
