﻿using System.ComponentModel;

namespace T4UtilityBelt.DataDesigns
{
    public class GeneratorOptions
    {
        public GeneratorOptions()
        {
            Collection = true;
            Entity = true;
            Picker = true;
            Synchronizer = true;
            TestData = true;
            Repository = true;
            DatabaseTable = true;
            DataContract = true;
            DataRequest = true;
            DataResponse = true;
            SynchronizeService = true;
            Model = true;
            ModelCollection = true;
            ServerDatabaseTable = true;
        }

        [DefaultValue(true)]
        public bool Collection { get; set; }

        [DefaultValue(true)]
        public bool Entity { get; set; }

        [DefaultValue(true)]
        public bool Picker { get; set; }

        [DefaultValue(true)]
        public bool Synchronizer { get; set; }

        [DefaultValue(true)]
        public bool TestData { get; set; }

        [DefaultValue(true)]
        public bool Repository { get; set; }

        [DefaultValue(true)]
        public bool DatabaseTable { get; set; }
        
        [DefaultValue(true)]
        public bool DataContract { get; set; }

        [DefaultValue(true)]
        public bool DataRequest { get; set; }

        [DefaultValue(true)]
        public bool DataResponse { get; set; }

        [DefaultValue(true)]
        public bool SynchronizeService { get; set; }

        [DefaultValue(true)]
        public bool ModelCollection { get; set; }

        [DefaultValue(true)]
        public bool Model { get; set; }

        [DefaultValue(true)]
        public bool ServerDatabaseTable { get; set; }

    }
}