using System;
using System.Collections.Generic;

namespace T4UtilityBelt.DataDesigns
{
    public class PropertyComparer : IEqualityComparer<Property>
    {
        public bool Equals(Property x, Property y)
        {
            return string.Compare(x.Name, y.Name, StringComparison.CurrentCultureIgnoreCase) == 0;
        }

        public int GetHashCode(Property obj)
        {
            return obj.Name.GetHashCode();
        }
    }
}