﻿namespace T4UtilityBelt.DataDesigns.SharePoint
{
    public class SharePointEntity : Entity
    {
        public SharePointEntity()
        {
            
        }

        public SharePointEntity(string name, string pluralName, string listName)
            : base(name, pluralName, listName)
        {
            Properties.Add(new KeyProperty("Id") {ShouldSerialize = false});
            Properties.Add(new StringProperty("Title") { MaxLength = 255, ShouldSerialize = false });

            Properties.Add(new UserInformationListProperty("CreatedBy") { ShouldSerialize = false});
            Properties.Add(new UserInformationListProperty("ModifiedBy") { ShouldSerialize = false
        }

    );
        }
    }
}