﻿using System.Collections.Generic;

namespace T4UtilityBelt.LightSwitch.FileModels
{
    

    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://schemas.microsoft.com/LightSwitch/2010/xaml/model")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "http://schemas.microsoft.com/LightSwitch/2010/xaml/model", IsNullable = false)]
    public partial class ModelFragment
    {
        private List<EntityType> _entityTypes = new List<EntityType>();
        private List<Association> _association = new List<Association>();
        private List<EntityContainer> _entityContainer = new List<EntityContainer>();

        [System.Xml.Serialization.XmlElementAttribute("EntityType", typeof(EntityType))]
        public List<EntityType> EntityTypes
        {
            get { return _entityTypes; }
        }

        [System.Xml.Serialization.XmlElementAttribute("Association", typeof(Association))]
        public List<Association> Association
        {
            get { return _association; }
        }

        [System.Xml.Serialization.XmlElementAttribute("EntityContainer", typeof(EntityContainer))]
        public List<EntityContainer> EntityContainer
        {
            get { return _entityContainer; }
        }
    }
}