﻿// ***********************************************************************
// Assembly         : T4UtilityBelt
// Author           : Daan Jonkers
// Created          : 01-05-2013
//
// Last Modified By : Daan Jonkers
// Last Modified On : 01-05-2013
// ***********************************************************************
// <copyright file="XIgnoreAttribute.cs" company="Jonkers">
//     Copyright (c) Jonkers. All rights reserved.
// </copyright>
// <summary></summary>
// ***********************************************************************
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace T4UtilityBelt.Serializers
{
    /// <summary>
    /// The XIgnoreAttribute is used to signal to the XSerializer that a property should not be serialized.
    /// </summary>
    [AttributeUsage(AttributeTargets.Property)]
    public sealed class XIgnoreAttribute : Attribute
    {
    }
}
