﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace T4UtilityBelt.UxDesigns.Bindings
{
    [Serializable]
    public class BindingException : Exception
    {
        public BindingException()
        {
        }

        public BindingException(string message)
            : base(message)
        {
        }

        public BindingException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected BindingException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }
}
