﻿using System;
using System.Runtime.Serialization;

namespace T4UtilityBelt.UxDesigns.Bindings.Parser.Other
{
    [Serializable]
    public class MvxException : Exception
    {
        public MvxException()
        {
        }

        public MvxException(string message) : base(message)
        {
        }

        public MvxException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected MvxException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }

        public MvxException(string message, params Object[] args)
            : base(string.Format(message, args))
        {
        }

    }
}
