﻿using T4UtilityBelt.UxDesigns.Bindings;
using T4UtilityBelt.UxDesigns.Controls.Renderers;


namespace T4UtilityBelt.UxDesigns.Controls
{
    public class PanelControl<TControl, TRenderer> : Control<TControl, TRenderer>
        where TControl : PanelControl<TControl, TRenderer>
        where TRenderer : class, IPanelRenderer<TControl, TRenderer>
    {
        public PanelControl()
        {
            //Style = "{StaticResource FormField}";
        }

        #region properties

        public Binding Tap { get; set; }
        public Binding TapParameter { get; set; }

        #endregion properties
    }
}

