﻿using T4UtilityBelt.DataDesigns;
using T4UtilityBelt.UxDesigns.Controls.Renderers;


namespace T4UtilityBelt.UxDesigns.Controls
{
    [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1005:AvoidExcessiveParametersOnGenericTypes")]
    public abstract class ParentControl<TControl, TRenderer, TProperty> : PropertyControl<TControl, TRenderer, TProperty>
        where TControl : ParentControl<TControl, TRenderer, TProperty>
        where TRenderer : class, IParentRenderer<TControl, TRenderer, TProperty>
        where TProperty : Parent
    {
        protected ParentControl()
        {
        }

        protected ParentControl(string propertyName)
            : base(propertyName)
        {
        }

        protected ParentControl(TProperty property)
            : base(property)
        {
        }
    }
}