﻿using T4UtilityBelt.DataDesigns;

namespace T4UtilityBelt.UxDesigns.Controls.Renderers
{
    [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1005:AvoidExcessiveParametersOnGenericTypes"), System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1040:AvoidEmptyInterfaces")]
    public interface IPropertyRenderer<in TControl, TRenderer, TProperty> : IControlRenderer<TControl, TRenderer>
        where TControl : PropertyControl<TControl, TRenderer, TProperty>
        where TRenderer : class, IPropertyRenderer<TControl, TRenderer, TProperty>
        where TProperty : Property
    {
    }
}