﻿namespace T4UtilityBelt.UxDesigns
{
    /// <summary>
    /// Enum Platforms
    /// </summary>
    public enum Platforms
    {
        /// <summary>
        /// The common
        /// </summary>
        Common,

        /// <summary>
        /// The windows platform
        /// </summary>
        Windows,


        /// <summary>
        /// The windows tablet platform
        /// </summary>
        WindowsTablet,

        /// <summary>
        /// The windows phone platform
        /// </summary>
        WindowsPhone,

        /// <summary>
        /// The Wpf platform
        /// </summary>
        Wpf,

        /// <summary>
        /// The android platform
        /// </summary>
        Android,

        /// <summary>
        /// The android tablet platform
        /// </summary>
        AndroidTablet,

        /// <summary>
        /// The android phone platform
        /// </summary>
        AndroidPhone,

        /// <summary>
        /// The ios platform
        /// </summary>
        Ios,

        /// <summary>
        /// The ios tablet platform
        /// </summary>
        IosTablet,

        /// <summary>
        /// The ios phone platform
        /// </summary>
        IosPhone,

        /// <summary>
        /// The view model
        /// </summary>
        ViewModel

    }
}