﻿using System.ComponentModel;
using T4UtilityBelt.UxDesigns.Bindings;
using T4UtilityBelt.UxDesigns.Controls;
using T4UtilityBelt.UxDesigns.Screens.Renders;

namespace T4UtilityBelt.UxDesigns.Screens
{
    [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Maintainability", "CA1501:AvoidExcessiveInheritance")]
    public class EntityReadScreen : ContentEntityScreen<EntityReadScreen, IEntityReadScreenRenderer>
    {
        public EntityReadScreen()
        {
            StandardConstructor();
        }

        public EntityReadScreen(string entityName)
            : base(entityName)
        {
            StandardConstructor();
        }

        public EntityReadScreen(string entityName, string screenName)
            : base(entityName, screenName)
        {
            StandardConstructor();
        }

        private void StandardConstructor()
        {
            ButtonControl button = new ButtonControl { Click = "EditCommand", Text = "Edit" };
            ButtonPanel.Controls.Add(button);
        }
    }
}