﻿using System;
using System.Xml.Serialization;
using T4UtilityBelt.DataDesigns;
using T4UtilityBelt.Serializers;
using T4UtilityBelt.UxDesigns.Screens;
using T4UtilityBelt.UxDesigns.Styles;

namespace T4UtilityBelt.UxDesigns
{
    //[XDefaultProperty("Views")]
    public class UxDesign
    {
        private readonly StyleCollection _styles = new StyleCollection();

        public StyleCollection Styles
        {
            get { return _styles; }
        }

        private readonly ViewCollection _views = new ViewCollection();

        public ViewCollection Views
        {
            get { return _views; }
        }

        public void FixModel(DataDesigns.EntityModel model)
        {
            foreach (View screen in Views)
            {
                screen.FixModel(model);
            }
        }
    }
}